org.apache.ignite.internal.processors.platform

## Interface PlatformProcessor

All Superinterfaces:
  GridComponent, GridProcessor

All Known Implementing Classes:
  PlatformNoopProcessor, PlatformProcessorImpl

    public interface PlatformProcessor
    extends GridProcessor

Platform processor.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Method Summary

Methods
`PlatformTargetProxy` `affinity(String name)` Get affinity.
`PlatformTargetProxy` `atomicLong(String name, long initVal, boolean create)` Get or create AtomicLong.
`PlatformTargetProxy` `atomicReference(String name, long memPtr, boolean create)` Get or create AtomicReference.
`PlatformTargetProxy` `atomicSequence(String name, long initVal, boolean create)` Get or create AtomicSequence.
`void` `awaitStart()` Await until platform processor is safe to use (i.e.
`PlatformTargetProxy` `binaryProcessor()` Gets the binary processor.
`PlatformTargetProxy` `cache(String name)` Get cache.
`PlatformTargetProxy` `compute(PlatformTargetProxy grp)` Create interop compute.
`PlatformContext` `context()` Gets platform context.
`PlatformTargetProxy` `createCache(String name)` Create cache.
`PlatformTargetProxy` `createCacheFromConfig(long memPtr)` Create cache.
`PlatformTargetProxy` `createNearCache(String cacheName, long memPtr)` Starts a near cache on local node if cache was previously started.
`PlatformTargetProxy` `dataStreamer(String cacheName, boolean keepBinary)` Get data streamer.
`void` `destroyCache(String name)` Destroy dynamically created cache.
`long` `environmentPointer()` Get environment pointer associated with this processor.
`PlatformTargetProxy` `events(PlatformTargetProxy grp)` Create interop events.
`PlatformTargetProxy` `extension(int id)` Gets platform extension by id.
`PlatformTargetProxy` `extensions()` Get platform extensions.
`void` `getCacheNames(long memPtr)` Gets the cache names.
`void` `getIgniteConfiguration(long memPtr)` Gets the configuration of the current Ignite instance.
`PlatformTargetProxy` `getOrCreateCache(String name)` Get or create cache.
`PlatformTargetProxy` `getOrCreateCacheFromConfig(long memPtr)` Get or create cache.
`PlatformTargetProxy` `getOrCreateNearCache(String cacheName, long memPtr)` Gets existing near cache with the given name or creates a new one.
`Ignite` `ignite()` Gets owning Ignite instance.
`boolean` `loggerIsLevelEnabled(int level)` Gets a value indicating whether Ignite logger has specified level enabled.
`void` `loggerLog(int level, String message, String category, String errorInfo)` Logs to the Ignite logger.
`PlatformTargetProxy` `message(PlatformTargetProxy grp)` Create interop messaging.
`PlatformTargetProxy` `projection()` Get projection.
`void` `registerStore(PlatformCacheStore store, boolean convertBinary)` Register cache store.
`void` `releaseStart()` Notify processor that it is safe to use.
`PlatformTargetProxy` `services(PlatformTargetProxy grp)` Create interop services.
`PlatformTargetProxy` `transactions()` Get transactions.

### Methods inherited from interface org.apache.ignite.internal.GridComponent

`collectGridNodeData, collectJoiningNodeData, discoveryDataType, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, validateNode`

### Method Detail

#### ignite

    Ignite ignite()

Gets owning Ignite instance.

Returns:
  Ignite instance.

#### environmentPointer

    long environmentPointer()

Get environment pointer associated with this processor.

Returns:
  Environment pointer.

#### context

    PlatformContext context()

Gets platform context.

Returns:
  Platform context.

#### releaseStart

    void releaseStart()

Notify processor that it is safe to use.

#### awaitStart

    void awaitStart()
                    throws IgniteCheckedException

Await until platform processor is safe to use (i.e. `has been called`.

Throws:
  `IgniteCheckedException` - If failed.

#### cache

    PlatformTargetProxy cache(@Nullable
                            String name)
                              throws IgniteCheckedException

Get cache.

Parameters:
  `name` - Cache name.
Returns:
  Cache.
Throws:
  `IgniteCheckedException` - If failed.

#### createCache

    PlatformTargetProxy createCache(@Nullable
                                  String name)
                                    throws IgniteCheckedException

Create cache.

Parameters:
  `name` - Cache name.
Returns:
  Cache.
Throws:
  `IgniteCheckedException` - If failed.

#### getOrCreateCache

    PlatformTargetProxy getOrCreateCache(@Nullable
                                       String name)
                                         throws IgniteCheckedException

Get or create cache.

Parameters:
  `name` - Cache name.
Returns:
  Cache.
Throws:
  `IgniteCheckedException` - If failed.

#### createCacheFromConfig

    PlatformTargetProxy createCacheFromConfig(long memPtr)
                                              throws IgniteCheckedException

Create cache.

Parameters:
  `memPtr` - Stream with cache config.
Returns:
  Cache.
Throws:
  `IgniteCheckedException` - If failed.

#### getOrCreateCacheFromConfig

    PlatformTargetProxy getOrCreateCacheFromConfig(long memPtr)
                                                   throws IgniteCheckedException

Get or create cache.

Parameters:
  `memPtr` - Stream with cache config.
Returns:
  Cache.
Throws:
  `IgniteCheckedException` - If failed.

#### destroyCache

    void destroyCache(@Nullable
                    String name)
                      throws IgniteCheckedException

Destroy dynamically created cache.

Parameters:
  `name` - Cache name.
Throws:
  `IgniteCheckedException` - If failed.

#### affinity

    PlatformTargetProxy affinity(@Nullable
                               String name)
                                 throws IgniteCheckedException

Get affinity.

Parameters:
  `name` - Cache name.
Returns:
  Affinity.
Throws:
  `IgniteCheckedException` - If failed.

#### dataStreamer

    PlatformTargetProxy dataStreamer(@Nullable
                                   String cacheName,
                                   boolean keepBinary)
                                     throws IgniteCheckedException

Get data streamer.

Parameters:
  `cacheName` - Cache name.
  `keepBinary` - Binary flag.
Returns:
  Data streamer.
Throws:
  `IgniteCheckedException` - If failed.

#### transactions

    PlatformTargetProxy transactions()

Get transactions.

Returns:
  Transactions.

#### projection

    PlatformTargetProxy projection()
                                   throws IgniteCheckedException

Get projection.

Returns:
  Projection.
Throws:
  `IgniteCheckedException` - If failed.

#### compute

    PlatformTargetProxy compute(PlatformTargetProxy grp)

Create interop compute.

Parameters:
  `grp` - Cluster group.
Returns:
  Compute instance.

#### message

    PlatformTargetProxy message(PlatformTargetProxy grp)

Create interop messaging.

Parameters:
  `grp` - Cluster group.
Returns:
  Messaging instance.

#### events

    PlatformTargetProxy events(PlatformTargetProxy grp)

Create interop events.

Parameters:
  `grp` - Cluster group.
Returns:
  Events instance.

#### services

    PlatformTargetProxy services(PlatformTargetProxy grp)

Create interop services.

Parameters:
  `grp` - Cluster group.
Returns:
  Services instance.

#### extensions

    PlatformTargetProxy extensions()

Get platform extensions. Override this method to provide any additional targets and operations you need.

Returns:
  Platform extensions.

#### extension

    PlatformTargetProxy extension(int id)

Gets platform extension by id.

Returns:
  Platform extension target.

#### registerStore

    void registerStore(PlatformCacheStore store,
                     boolean convertBinary)
                       throws IgniteCheckedException

Register cache store.

Parameters:
  `store` - Store.
  `convertBinary` - Convert binary flag.
Throws:
  `IgniteCheckedException` - If failed.

#### atomicLong

    PlatformTargetProxy atomicLong(String name,
                                 long initVal,
                                 boolean create)

Get or create AtomicLong.

Parameters:
  `name` - Name.
  `initVal` - Initial value.
  `create` - Create flag.
Returns:
  Platform atomic long.

#### atomicSequence

    PlatformTargetProxy atomicSequence(String name,
                                     long initVal,
                                     boolean create)

Get or create AtomicSequence.

Parameters:
  `name` - Name.
  `initVal` - Initial value.
  `create` - Create flag.
Returns:
  Platform atomic long.

#### atomicReference

    PlatformTargetProxy atomicReference(String name,
                                      long memPtr,
                                      boolean create)

Get or create AtomicReference.

Parameters:
  `name` - Name.
  `memPtr` - Pointer to a stream with initial value. 0 for null initial value.
  `create` - Create flag.
Returns:
  Platform atomic long.

#### getIgniteConfiguration

    void getIgniteConfiguration(long memPtr)

Gets the configuration of the current Ignite instance.

Parameters:
  `memPtr` - Stream to write data to.

#### getCacheNames

    void getCacheNames(long memPtr)

Gets the cache names.

Parameters:
  `memPtr` - Stream to write data to.

#### createNearCache

    PlatformTargetProxy createNearCache(@Nullable
                                      String cacheName,
                                      long memPtr)

Starts a near cache on local node if cache was previously started.

Parameters:
  `cacheName` - Cache name.
  `memPtr` - Pointer to a stream with near cache config. 0 for default config.
Returns:
  Cache.

#### getOrCreateNearCache

    PlatformTargetProxy getOrCreateNearCache(@Nullable
                                           String cacheName,
                                           long memPtr)

Gets existing near cache with the given name or creates a new one.

Parameters:
  `cacheName` - Cache name.
  `memPtr` - Pointer to a stream with near cache config. 0 for default config.
Returns:
  Cache.

#### loggerIsLevelEnabled

    boolean loggerIsLevelEnabled(int level)

Gets a value indicating whether Ignite logger has specified level enabled.

Parameters:
  `level` - Log level.

#### loggerLog

    void loggerLog(int level,
                 String message,
                 String category,
                 String errorInfo)

Logs to the Ignite logger.

Parameters:
  `level` - Log level.
  `message` - Message.
  `category` - Category.
  `errorInfo` - Error info.

#### binaryProcessor

    PlatformTargetProxy binaryProcessor()

Gets the binary processor.

Returns:
  Binary processor.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017